﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __EmailSetting = LightSwitchApplication.EmailSetting

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class EmailSetting
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __EmailSetting, __EmailSetting.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the EmailSetting entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __EmailSetting))
            MyBase.New(entitySet)
            
            __EmailSetting.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmailSetting_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmailSetting_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __EmailSetting.DetailsClass.GetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __EmailSetting.DetailsClass.SetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __EmailSetting.DetailsClass.GetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __EmailSetting.DetailsClass.SetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property SMTPServer As String
            Get
                Return __EmailSetting.DetailsClass.GetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.SMTPServer)
            End Get
            Set
                __EmailSetting.DetailsClass.SetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.SMTPServer, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPServer_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPServer_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPServer_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property SMTPPort As Integer
            Get
                Return __EmailSetting.DetailsClass.GetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.SMTPPort)
            End Get
            Set
                __EmailSetting.DetailsClass.SetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.SMTPPort, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPPort_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPPort_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPPort_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property SMTPUsername As String
            Get
                Return __EmailSetting.DetailsClass.GetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.SMTPUsername)
            End Get
            Set
                __EmailSetting.DetailsClass.SetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.SMTPUsername, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPUsername_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPUsername_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPUsername_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property SMTPPassword As String
            Get
                Return __EmailSetting.DetailsClass.GetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.SMTPPassword)
            End Get
            Set
                __EmailSetting.DetailsClass.SetValue(Me, __EmailSetting.DetailsClass.PropertySetProperties.SMTPPassword, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPPassword_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPPassword_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SMTPPassword_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __EmailSetting, _
                __EmailSetting.DetailsClass, _
                __EmailSetting.DetailsClass.IImplementation, _
                __EmailSetting.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __EmailSetting, __EmailSetting.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __EmailSetting, __EmailSetting.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __EmailSetting.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __EmailSettingEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __EmailSetting, __EmailSetting.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __EmailSetting, __EmailSetting.DetailsClass).Entry( _
                    AddressOf __EmailSetting.DetailsClass.__EmailSetting_CreateNew, _
                    AddressOf __EmailSetting.DetailsClass.__EmailSetting_Created, _
                    AddressOf __EmailSetting.DetailsClass.__EmailSetting_AllowSaveWithErrors)
            Private Shared Function __EmailSetting_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __EmailSetting)) As __EmailSetting
                Return New __EmailSetting(es)
            End Function
            Private Shared Sub __EmailSetting_Created(e As __EmailSetting)
                e.EmailSetting_Created()
            End Sub
            Private Shared Function __EmailSetting_AllowSaveWithErrors(e As __EmailSetting) As Boolean
                Dim result As Boolean = False
                e.EmailSetting_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __EmailSetting, __EmailSetting.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __EmailSetting, __EmailSetting.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __EmailSetting.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __EmailSetting, __EmailSetting.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__EmailSetting.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__EmailSetting.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property SMTPServer As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__EmailSetting.DetailsClass.PropertySetProperties.SMTPServer),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property SMTPPort As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__EmailSetting.DetailsClass.PropertySetProperties.SMTPPort),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property SMTPUsername As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__EmailSetting.DetailsClass.PropertySetProperties.SMTPUsername),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property SMTPPassword As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__EmailSetting.DetailsClass.PropertySetProperties.SMTPPassword),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property SMTPServer As String
                Shadows Property SMTPPort As Integer
                Shadows Property SMTPUsername As String
                Shadows Property SMTPPassword As String
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __EmailSetting.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer).Data), d As __EmailSetting.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __EmailSetting) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __EmailSetting, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __EmailSetting.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __EmailSetting.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __EmailSetting)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __EmailSetting.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Byte()).Data), d As __EmailSetting.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __EmailSetting) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __EmailSetting, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __EmailSetting.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __EmailSetting.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __EmailSetting)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SMTPServer As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Entry( _
                        "SMTPServer", _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPServer_Stub, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPServer_ComputeIsReadOnly, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPServer_Validate, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPServer_GetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPServer_SetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPServer_OnValueChanged)
                Private Shared Sub _SMTPServer_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __EmailSetting.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Data), d As __EmailSetting.DetailsClass, sf As Object)
                    c(d, d._SMTPServer, sf)
                End Sub
                Private Shared Function _SMTPServer_ComputeIsReadOnly(e As __EmailSetting) As Boolean
                    Dim result As Boolean = False
                    e.SMTPServer_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _SMTPServer_Validate(e As __EmailSetting, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.SMTPServer_Validate(r)
                End Sub
                Private Shared Function _SMTPServer_GetImplementationValue(d As __EmailSetting.DetailsClass) As String
                    Return d.ImplementationEntity.SMTPServer
                End Function
                Private Shared Sub _SMTPServer_SetImplementationValue(d As __EmailSetting.DetailsClass, v As String)
                    d.ImplementationEntity.SMTPServer = v
                End Sub
                Private Shared Sub _SMTPServer_OnValueChanged(e As __EmailSetting)
                    e.SMTPServer_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SMTPPort As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer).Entry( _
                        "SMTPPort", _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPort_Stub, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPort_ComputeIsReadOnly, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPort_Validate, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPort_GetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPort_SetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPort_OnValueChanged)
                Private Shared Sub _SMTPPort_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __EmailSetting.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer).Data), d As __EmailSetting.DetailsClass, sf As Object)
                    c(d, d._SMTPPort, sf)
                End Sub
                Private Shared Function _SMTPPort_ComputeIsReadOnly(e As __EmailSetting) As Boolean
                    Dim result As Boolean = False
                    e.SMTPPort_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _SMTPPort_Validate(e As __EmailSetting, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.SMTPPort_Validate(r)
                End Sub
                Private Shared Function _SMTPPort_GetImplementationValue(d As __EmailSetting.DetailsClass) As Integer
                    Return d.ImplementationEntity.SMTPPort
                End Function
                Private Shared Sub _SMTPPort_SetImplementationValue(d As __EmailSetting.DetailsClass, v As Integer)
                    d.ImplementationEntity.SMTPPort = v
                End Sub
                Private Shared Sub _SMTPPort_OnValueChanged(e As __EmailSetting)
                    e.SMTPPort_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SMTPUsername As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Entry( _
                        "SMTPUsername", _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPUsername_Stub, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPUsername_ComputeIsReadOnly, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPUsername_Validate, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPUsername_GetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPUsername_SetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPUsername_OnValueChanged)
                Private Shared Sub _SMTPUsername_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __EmailSetting.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Data), d As __EmailSetting.DetailsClass, sf As Object)
                    c(d, d._SMTPUsername, sf)
                End Sub
                Private Shared Function _SMTPUsername_ComputeIsReadOnly(e As __EmailSetting) As Boolean
                    Dim result As Boolean = False
                    e.SMTPUsername_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _SMTPUsername_Validate(e As __EmailSetting, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.SMTPUsername_Validate(r)
                End Sub
                Private Shared Function _SMTPUsername_GetImplementationValue(d As __EmailSetting.DetailsClass) As String
                    Return d.ImplementationEntity.SMTPUsername
                End Function
                Private Shared Sub _SMTPUsername_SetImplementationValue(d As __EmailSetting.DetailsClass, v As String)
                    d.ImplementationEntity.SMTPUsername = v
                End Sub
                Private Shared Sub _SMTPUsername_OnValueChanged(e As __EmailSetting)
                    e.SMTPUsername_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SMTPPassword As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Entry( _
                        "SMTPPassword", _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPassword_Stub, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPassword_ComputeIsReadOnly, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPassword_Validate, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPassword_GetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPassword_SetImplementationValue, _
                        AddressOf __EmailSetting.DetailsClass.PropertySetProperties._SMTPPassword_OnValueChanged)
                Private Shared Sub _SMTPPassword_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __EmailSetting.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Data), d As __EmailSetting.DetailsClass, sf As Object)
                    c(d, d._SMTPPassword, sf)
                End Sub
                Private Shared Function _SMTPPassword_ComputeIsReadOnly(e As __EmailSetting) As Boolean
                    Dim result As Boolean = False
                    e.SMTPPassword_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _SMTPPassword_Validate(e As __EmailSetting, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.SMTPPassword_Validate(r)
                End Sub
                Private Shared Function _SMTPPassword_GetImplementationValue(d As __EmailSetting.DetailsClass) As String
                    Return d.ImplementationEntity.SMTPPassword
                End Function
                Private Shared Sub _SMTPPassword_SetImplementationValue(d As __EmailSetting.DetailsClass, v As String)
                    d.ImplementationEntity.SMTPPassword = v
                End Sub
                Private Shared Sub _SMTPPassword_OnValueChanged(e As __EmailSetting)
                    e.SMTPPassword_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SMTPServer As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SMTPPort As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SMTPUsername As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SMTPPassword As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailSetting, __EmailSetting.DetailsClass, String).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
